------------------------------------------------------------------------------------
--Name:  	juqing10
--Creator:	由剧情表现脚本编辑器生成
--Created:	2025-01-10
------------------------------------------------------------------------------------

CppScriptMgr:SetViewPosByCell(232, 205)
local Player_1 = CppScriptMgr:AddPlayer(187, 232, 205, "DarkKing", 0, 0)
Player_1:SetDir(7)
Player_1:SetZoomPercent(200)
local Player_2 = CppScriptMgr:AddSimplePlayer(1100170, 234, 210, "Anthony", 0, 0)
Player_2:SetDir(4)
CppScriptMgr:WaitMilSec(500)
CppScriptMgr:NpcCallOut("Anthony, your family once made a pact with me, exchanging eternal loyalty for supreme power.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7135", 150, 430, "DarkKing", 250, 655, true)
CppScriptMgr:WaitMilSec(80)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1920)
CppScriptMgr:NpcCallOut("Now, it`s time to fulfill your vow.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7135", 150, 430, "DarkKing", 250, 655, true)
CppScriptMgr:WaitMilSec(1500)
CppScriptMgr:NpcCallOut("My family did indeed make a pact with you, but that was before I knew love and warmth.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc30789", 150, 430, "Anthony", 250, 655, true)
Player_2:SetAction(101)
CppScriptMgr:WaitMilSec(1990)
CppScriptMgr:NpcCallOut("Now, I cannot betray my own heart.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc30789", 150, 430, "Anthony", 250, 655, true)
CppScriptMgr:WaitMilSec(1500)
Player_1:SetAction(101)
CppScriptMgr:NpcCallOut("What nonsense are you talking about? That Maid Jeanne is but a mortal. Her existence is nothing to you and me.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7135", 150, 430, "DarkKing", 250, 655, true)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("You must sacrifice her, otherwise the punishment will befall you.", 1500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7135", 150, 430, "DarkKing", 250, 655, true)
CppScriptMgr:WaitMilSec(1500)
Player_2:SetAction(190)
CppScriptMgr:NpcCallOut("I would rather bear all punishments than let Jeanne get hurt. I am willing to betray everything for her.", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc30789", 150, 430, "Anthony", 250, 655, true)
CppScriptMgr:WaitMilSec(2000)
CppScriptMgr:NpcCallOut("Do you think your love can resist the erosion of the dark forces?", 2000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7135", 150, 430, "DarkKing", 250, 655, true)
Player_1:SetAction(101)
CppScriptMgr:WaitMilSec(1960)
CppScriptMgr:NpcCallOut("Perhaps I cannot defeat you, but I will never sell my soul.", 2500, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc30789", 150, 430, "Anthony", 250, 655, true)
Player_2:SetAction(401)
CppScriptMgr:WaitMilSec(2950)
CppScriptMgr:NpcCallOut("Well, since you`ve made your choice, don`t blame me for being ruthless! You`ll lose everything, including your Jeanne!", 3000, 1, "NPCBust_bg", "", 320, 570, 400, 580, "NPCBust_npc7135", 150, 430, "DarkKing", 250, 655, true)
CppScriptMgr:WaitMilSec(70)
CppScriptMgr:ShakeScrEffect(3)
CppScriptMgr:WaitMilSec(110)
Player_1:SetAction(401)
CppScriptMgr:WaitMilSec(2820)